﻿/* ============================================================
* Author:       liubingsheng
* Time:         2016/11/29 14:52:25
* FileName:     RedisSystem
* Purpose:      Redis
* =============================================================*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Globalization;
using System.Security.Cryptography;

namespace Utility
{
    /// <summary>
    /// byte[]扩展
    /// </summary>
    public static class ByteArrayExenstion
    {
        public static string ToMD5String(this byte[] self)
        {
            MD5 md5 = new MD5CryptoServiceProvider();
            byte[] targetData = md5.ComputeHash(self);
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < targetData.Length; i++)
            {
                sb.Append(targetData[i].ToString("X2"));
            }
            return sb.ToString();
        }

        public static byte[] Reverse(this byte[] input)
        {
            byte[] dest = new byte[input.Length];
            for (int i = 0; i < input.Length; i++)
            {
                dest[i] = input[input.Length - 1 - i];
            }
            return dest;
        }
    }
}
